"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const command_1 = require("@ionic/cli-utils/lib/command");
class DoctorListCommand extends command_1.Command {
    getMetadata() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return {
                name: 'list',
                type: 'project',
                description: 'List all issue identifiers',
            };
        });
    }
    run(inputs, options) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const registry = yield this.env.project.getAilmentRegistry(this.env);
            const ailmentIds = registry.ailments.map(ailment => ailment.id);
            this.env.log.rawmsg(ailmentIds.map(id => chalk_1.default.green(id)).join('\n'));
        });
    }
}
exports.DoctorListCommand = DoctorListCommand;
